% --- Show experiment properties
function handles = ShowExperimentProperties(handles)
% Copyright 2012, Xavier Alameda-Pineda
% INRIA Grenoble Rhône-Alpes
% E-mail: xavi.alameda@gmail.com
% 
% This is part of the gtde program.
% 
% gtde is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.

% Load experiment
fileName = strcat(handles.rootFolder,handles.selected_file);
tmp = load(fileName);
% Set panel
set(handles.PropertiesPanel,'Title',['Properties of ' handles.selected_file]);
% Set boxes
set(handles.MethodProperties,'String',tmp.experimentOptions.methodOptions.type);
set(handles.DataTypeProperties,'String',tmp.experimentOptions.dataOptions.type);
if strcmp(tmp.experimentOptions.dataOptions.type,'real')
    set(handles.SNRProperties,'String','');
    set(handles.T60Properties,'String','');
%     set(handles.EnvironmentProperties,'String',tmp.experimentOptions.dataOptions.wavRootFolder);
    if strcmp(tmp.experimentOptions.methodOptions.type,'canclini'),
        set(handles.EnvironmentProperties,'String',...
            [tmp.experimentOptions.dataOptions.wavRootFolder ' (r=' ...
            num2str(mean(sqrt(sum(tmp.experimentOptions.methodOptions.initPos.^2,2)))) ')' ]);
    else
        set(handles.EnvironmentProperties,'String',tmp.experimentOptions.dataOptions.wavRootFolder);
    end
else
    auxString='[';
    for ii=1:length(tmp.experimentOptions.dataOptions.snrValues)-1,
        auxString = [auxString num2str(tmp.experimentOptions.dataOptions.snrValues(ii)) ', '];
    end
    auxString = [auxString num2str(tmp.experimentOptions.dataOptions.snrValues(end)) ']'];
    set(handles.SNRProperties,'String',auxString);
        auxString='[';
    for ii=1:length(tmp.experimentOptions.dataOptions.t60)-1,
        auxString = [auxString num2str(tmp.experimentOptions.dataOptions.t60(ii)) ', '];
    end
    auxString = [auxString num2str(tmp.experimentOptions.dataOptions.t60(end)) ']'];
    set(handles.T60Properties,'String',auxString);
    if strcmp(tmp.experimentOptions.methodOptions.type,'canclini'),
        set(handles.EnvironmentProperties,'String',...
            [tmp.experimentOptions.ismOptions.folder ' (r=' ...
            num2str(mean(sqrt(sum(tmp.experimentOptions.methodOptions.initPos.^2,2)))) ')' ]);
    else
        set(handles.EnvironmentProperties,'String',tmp.experimentOptions.ismOptions.folder);
    end
end